import 'package:ocg_user/ocg_user.dart';

///
/// Event
///
abstract class ContactListEvent {}

class ContactListRefreshEvent extends ContactListEvent {
  final List<User> contacts;

  ContactListRefreshEvent(this.contacts);
}

///
/// State
///
abstract class ContactListState {}

class ContactListIdleState extends ContactListState {}

class ContactListLoadingState extends ContactListState {}

class ContactListLoadedState extends ContactListState {}

class ContactListErrorState extends ContactListState {
  final String error;

  ContactListErrorState(this.error);
}
